Skip to main content

GetTaskResult

Retrieves the conversation analysis results of an offline task using a task ID. Your application receives the response through an HTTPS call.

Operation description

Before you use this API, ensure that you understand the pricing and billing methods for Tongyi Xiaomi CCAI Conversation Analysis AIO. Prerequisites
  1. You have activated Tongyi Xiaomi CCAI Conversation Analysis AIO.
  2. You have created a Tongyi Xiaomi CCAI Conversation Analysis AIO application in the Application Center and obtained the APP-ID and WORKSPACE-ID. For more information, see Obtain APP-ID and WORKSPACE-ID.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /ccai/app/getTaskResult HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

taskId

string

No

Task ID.

20240905-********-93E9-5D45-B4EF-045743A34071

requiredFieldList

array

No

string

No

Response elements

Element

Type

Description

Example

object

Response schema.

data

object

Response data.

taskId

string

Task ID.

20240905-********-93E9-5D45-B4EF-045743A34071

text

string

Application response.

对话中没有发现客服故意套取客户隐私信息的行为

taskErrorMessage

string

taskStatus

string

Task status. Valid values: QUEUE, FINISH, ERROR.

FINISH

asrResult

array<object>

object

begin

integer

emotionValue

integer

end

integer

role

string

speechRate

integer

words

string

roleName

string

extra

string

ragStatus

string

ragResult

string

usage

object

rag

object

dialogSummary

object

inputTokens

integer

outputTokens

integer

invokeCount

integer

adaptive

object

inputTokens

integer

outputTokens

integer

invokeCount

integer

ragErrorMessage

string

requestId

string

Request ID.

968A8634-FA2C-5381-9B3E-C552DED7E8BF

success

string

Indicates whether the request succeeded.

True

Examples

Success response JSON format
{
  "data": {
    "taskId": "20240905-********-93E9-5D45-B4EF-045743A34071\n",
    "text": "对话中没有发现客服故意套取客户隐私信息的行为",
    "taskErrorMessage": "",
    "taskStatus": "FINISH",
    "asrResult": [
      {
        "begin": 0,
        "emotionValue": 0,
        "end": 0,
        "role": "",
        "speechRate": 0,
        "words": "",
        "roleName": ""
      }
    ],
    "extra": "",
    "ragStatus": "",
    "ragResult": "",
    "usage": {
      "rag": {
        "dialogSummary": {
          "inputTokens": 0,
          "outputTokens": 0,
          "invokeCount": 0
        },
        "adaptive": {
          "inputTokens": 0,
          "outputTokens": 0,
          "invokeCount": 0
        }
      }
    },
    "ragErrorMessage": ""
  },
  "requestId": "968A8634-FA2C-5381-9B3E-C552DED7E8BF",
  "success": "True"
}

Error codes

HTTP status code

Error code

Error message

Description

400CCAI.InvalidParam.NotExistThe specified parameter %s is not valid.The request parameter does not exist.
400CCAI.ParamInvalid.IllegalParamValueThe parameter value of the request API is illegal %s.The parameter value of the request API is illegal.
400CCAI.Throttling.QpmTrigger QPM flow restriction. Please purchase higher QPM for paid API. If free API has special requirements, please contact us through DingTalk group (62730018475).Trigger QPM flow restriction. Please purchase higher QPM for paid API. If free API has special requirements, please contact us through DingTalk group (62730018475).
400CCAI.Throttling.QpsTrigger current QPS limit, pay API please buy higher QPS, the free API if you have special requirements, please contact us through the DingTalk group (62730018475).Trigger current limit, pay API please buy higher QPS, free API if you have special requirements, please contact us through the DingTalk group (62730018475).
500CCAI.InternalErrorThe request processing has failed due to some unknown error, exception or failure.
403CCAI.ParamNotfound.MissParamParameter verification failed, The specified parameter %s is missing.Parameter validation failed. The specified parameter is missing.
403CCAI.TenantPermission.NoAuthThe current account does not have the permission to specify the business space. Please authorize the business space permission.The current account does not have the permission to specify the business space. Please authorize the business space permission.
403CCAI.IllegalPermission.NoAuthUser not authorized to operate on the specified resource %s .The user is not authorized to operate the specified resource
429Ccai.Throttling.QpsTrigger current QPS limit, pay API please buy higher QPS, free API if you have special requirements, please contact us through the DingTalk group (62730018475).Invalid error code, subsequent offline
See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.